## ros-melodic-health-metric-collector 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(health_metric_collector)

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_STANDARD 14)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  ros_monitoring_msgs
  roscpp
  rospy
  std_msgs
  message_generation
  aws_common
  aws_ros1_common
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp rospy std_msgs message_runtime
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

set(ALL_SRC_FILES src/cpu_data.cpp src/cpu_stats.cpp src/metric_manager.cpp src/cpu_metric_collector.cpp src/sys_info_collector.cpp)
add_library(collector_lib ${ALL_SRC_FILES})

add_executable(health_metric_collector src/collector.cpp)
target_link_libraries(health_metric_collector ${catkin_LIBRARIES} collector_lib)

install(DIRECTORY config launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
        PATTERN ".svn" EXCLUDE)

install(TARGETS collector_lib DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(TARGETS health_metric_collector
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(GMock QUIET)
  if(GMOCK_FOUND)
    add_rostest_gmock(test_health_metric_collector
      test/test_health_metric_collector.test
      test/health_metric_collector_test.cpp
    )
    target_include_directories(test_health_metric_collector
      PRIVATE include
      ${catkin_INCLUDE_DIRS}
      ${GMOCK_INCLUDE_DIRS}
    )
    target_link_libraries(test_health_metric_collector
      collector_lib
      ${catkin_LIBRARIES}
      ${GMOCK_BOTH_LIBRARIES}
    )
  else()
    include_directories(/usr/include/gmock /usr/src/gmock)
    add_library(${PROJECT_NAME}_libgmock SHARED /usr/src/gmock/src/gmock-all.cc)

    add_rostest_gtest(test_health_metric_collector
      test/test_health_metric_collector.test
      test/health_metric_collector_test.cpp
    )
    target_include_directories(test_health_metric_collector
      PRIVATE include
      ${catkin_INCLUDE_DIRS}
    )
    target_link_libraries(test_health_metric_collector
      collector_lib
      ${catkin_LIBRARIES}
      ${PROJECT_NAME}_libgmock
    )
  endif()
endif()

=== debian/changelog ===
ros-melodic-health-metric-collector (2.0.2-1bionic) bionic; urgency=high

  * Merge pull request #25 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/25> from aws-robotics/version_2.0.2
    Bumpinng package version to match bloom release
  * Bumpinng package version to match bloom release
  * fix collecting of memory metrics data (#24 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/24>)
  * update changelog to be compatible with catkin_generate_changelog (#21 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/21>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * increment patch version (#20 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/20>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Use standard CMake macros for adding gtest/gmock tests (#16 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/16>)
    * modify health_metric_collector to use add_rostest_gmock()
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * [Master branch] CE pipeline migration (#12 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/12>)
    * cherry picking Get dependencies from rosdep instead of building from release-v1 to master
    * cherry picking ce pipeline migration commit from release-v1 to master
    * untag dependency version
    * remove cloudwatch_metrics_collector as exec depend
  * Release 2.0.0 (#9 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/9>)
    * Release 2.0.0
    * 2.0.0
  * Update to use non-legacy ParameterReader API (#7 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/7>)
    * Update to use non-legacy ParameterReader API
    * increment package version
  * Contributors: AAlon, Abby Xu, M. M, Miaofei Mei, Ragha Prasad

 -- AWS RoboMaker <ros-contributions@amazon.com>  Sat, 28 Mar 2020 00:00:00 -0000

ros-melodic-health-metric-collector (2.0.0-1bionic) bionic; urgency=high

  * Update to use non-legacy ParameterReader API (#7 <https://github.com/aws-robotics/health-metrics-collector-ros1/issues/7>)
    * Update to use non-legacy ParameterReader API
    * increment package version
  * Contributors: M. M

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 00:00:00 -0000

ros-melodic-health-metric-collector (1.0.0-1bionic) bionic; urgency=high



 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-health-metric-collector
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-ros-monitoring-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/health_metric_collector
Standards-Version: 3.9.2

Package: ros-melodic-health-metric-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-ros-monitoring-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Description: The health_metric_collector package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-health-metric-collector//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
